# Ansible Roles for Deploying SGX Stacks or Demos

## Overview

| Role Name | Description |
| --------- | ----------- |
| ansible-role-intel-lab-env | Abstract common operations for Intel lab environment for both US and PRC
| ansible-role-sgx-dcap | Role to install SGX DCAP components from 01.org |
| ansible-role-sgx-stack | Role to install SGX stack components seperately for both virtualization and kubernetes configurations
| ansible-role-sgx-vm | Role to create and destroy SGX VM on top of SGX KVM stack

## How to Use

One of following approaches:

1. Copy all roles directory into `~/.ansible/roles/` on ansible control node
2. Create symbol link under the directory of playbooks for example `stacks` or `demos`