# ansible-role-sgx-stack

Install SGX Linux SW stack

- Setup SGX stack repo
- Install gramine components (if `gramine=true`)
  - gramine
- KVM stack (if `stack=kvm`)
  - intel-mvp-mainline-kernel-sgx-kvm
  - qemu-kvm
  - libvirt
  - python3-libvirt
  - python3-lxml
- Container/Kubernetes stack (if `stack=base`) on BareMetal or VM Guest
  - kernel

## Role Variables

| Variable | Description | Default |
| -------- | ----------- | ------- |
| `gramine` |  install gramine  | `false` |
| `stack`    | One of value at `kvm` or `base` | `kvm` |
| `sgx_repo_file_url` | The url of dnf repo file | <https://download.01.org/intelsgxstack/2021-12-08/rhel/intelsgxstack.repo>|
